Subject: bug#57161: 28.1.91; two column windows merge leaves 2nd column window showing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Aug 2022 17:15:13 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Van Ly <[email-masked]>,  [email-masked]
> Date: Sat, 13 Aug 2022 14:23:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I expect F2 2, F2 1 will get me back to the frame and window 
> >> layout at the moment before F2 2.
> >
> > That's not what "F2 1" does.
> 
> I've never used this mode before, and I'm kinda flabbergasted that
> something as esoteric as this is bound to <f2> by default.
> 
> Anyway, I don't really see how the current <f2> 1 action makes much
> sense -- it merges the two buffers, but then keeps displaying the
> rightmost window, but extremely narrowly?  I'm not sure why that's
> useful.
> 
> (I'd expect, like Van Ly, this command to remove that window.)

I presume that this mode does have its regular users, and so it would
be unthinkable to change this behavior because we are "flabbergasted".
I can see a certain logic behind what "F2 1" does, and since neither
of us uses this mode, I don't think our opinions otherwise matter.